# Class InchiJmol

java.lang.Object
org.jmol.inchi.InchiJmol

All Implemented Interfaces:
  `InChIStructureProvider, JmolInChI`

Direct Known Subclasses:
  `InChIJNA, InChIJS`

public abstract class InchiJmol extends Object implements JmolInChI, InChIStructureProvider

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`doGetSmiles`
`protected boolean`
`getInchiModel`
`protected boolean`
`getKey`
`protected String`
`inchi`
`protected boolean`
`inputInChI`
`protected boolean`
`optionalFixedH`
`protected String`
`smilesOptions`

## Constructor Summary

Constructors
Constructor
Description
`InchiJmol()`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getSmiles(Viewer vwr, String smilesOptions)`
`protected String`
`setParameters(String options, Object molData, BS atoms, Viewer vwr)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface InChIStructureProvider

`getCenterAtom, getCharge, getElementType, getImplicitH, getInchiBondType, getIndexOriginAtom, getIndexTargetAtom, getIsotopicMass, getNeighbors, getNumAtoms, getNumBonds, getNumStereo0D, getParity, getStereoType, getX, getY, getZ, initializeModelForSmiles, setAtom, setBond, setStereo0D`

### Methods inherited from interface JmolInChI

`getInchi`

## Field Details

### inputInChI

protected boolean inputInChI

### inchi

protected String inchi

### smilesOptions

protected String smilesOptions

### doGetSmiles

protected boolean doGetSmiles

### getInchiModel

protected boolean getInchiModel

### getKey

protected boolean getKey

### optionalFixedH

protected boolean optionalFixedH

## Constructor Details

### InchiJmol

public InchiJmol()

## Method Details

### setParameters

protected String setParameters(String options, Object molData, BS atoms, Viewer vwr)

### getSmiles

protected String getSmiles(Viewer vwr, String smilesOptions)